﻿@model Appointments.Entities.Prescription

@{
    ViewBag.Title = "Create";
    List<object> patientsList = ViewBag.patientsList;
    List<object> doctorsList = ViewBag.doctorsList;
    List<object> drugsList = ViewBag.drugsList;

}

<h2>Create</h2>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Prescription</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.PatientID, htmlAttributes: new
       {
           @class = "control-label col-md-2"
       })
            <div class="col-md-10">
@Html.DropDownListFor(model => model.PatientID, new SelectList(
      patientsList,
       "id",
       "name", new
       {
           id = 1
       }))
                @Html.ValidationMessageFor(model => model.PatientID, "", new
           {
               @class = "text-danger"
           })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.DoctorID, htmlAttributes: new
       {
           @class = "control-label col-md-2"
       })
            <div class="col-md-10">
@Html.DropDownListFor(model => model.DoctorID, new SelectList(
      doctorsList,
       "id",
       "name", new
       {
           id = 1
       }))
                @Html.ValidationMessageFor(model => model.DoctorID, "", new
           {
               @class = "text-danger"
           })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.MedicationID, htmlAttributes: new
       {
           @class = "control-label col-md-2"
       })
            <div class="col-md-10">
@Html.DropDownListFor(model => model.MedicationID, new SelectList(
      drugsList,
       "id",
       "name", new
       {
           id = 1
       }))
                @Html.ValidationMessageFor(model => model.MedicationID, "", new
           {
               @class = "text-danger"
           })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.Directions, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Directions, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Directions, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Quantity, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>
